# Visualization
TKService
AlienImage

# AlienImage_BMPAlienImage Class Reference

`#include <AlienImage_BMPAlienImage.hxx>`

Inheritance diagram for AlienImage_BMPAlienImage:

[legend]

## Public Member Functions

Standard_EXPORT | AlienImage_BMPAlienImage ()
Standard_EXPORT void | Clear ()
| Frees memory allocated by BMPAlienImage .
| ~AlienImage_BMPAlienImage ()
Standard_EXPORT void | SetName (const TCollection_AsciiString &aName)
| Set Image name . .
Standard_EXPORT const TCollection_AsciiString & | Name () const
| get Image name .
Standard_EXPORT Handle_Image_Image | ToImage () const
| convert a BMPAlienImage object to a Image object.
Standard_EXPORT void | FromImage (const Handle(Image_Image)&anImage)
| convert a Image object to a BMPAlienImage object.
Standard_EXPORT Standard_Boolean | Read (OSD_File &afile)
| Read content of a BMPAlienImage object from a file . Returns True if file is a BMP file . .
Standard_EXPORT Standard_Boolean | Write (OSD_File &afile) const
| Write content of a BMPAlienImage object to a file . .
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Handle_AlienImage_BMPAlienData | myData

## Constructor & Destructor Documentation

Standard_EXPORT AlienImage_BMPAlienImage::AlienImage_BMPAlienImage | ( |  | ) |

AlienImage_BMPAlienImage::~AlienImage_BMPAlienImage | ( |  | ) | `[inline]`

## Member Function Documentation

Standard_EXPORT void AlienImage_BMPAlienImage::Clear | ( |  | ) |

Standard_EXPORT void AlienImage_BMPAlienImage::FromImage | ( | const Handle(Image_Image)& | anImage | ) | `[virtual]`

| Implements AlienImage_AlienUserImage.

Standard_EXPORT const AlienImage_BMPAlienImage::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from AlienImage_AlienUserImage.

Standard_EXPORT const TCollection_AsciiString& AlienImage_BMPAlienImage::Name | ( |  | ) | const

Standard_EXPORT Standard_Boolean AlienImage_BMPAlienImage::Read | ( | OSD_File & | afile | ) | `[virtual]`

| Implements AlienImage_AlienUserImage.

Standard_EXPORT void AlienImage_BMPAlienImage::SetName | ( | const TCollection_AsciiString & | aName | ) |

Standard_EXPORT Handle_Image_Image AlienImage_BMPAlienImage::ToImage | ( |  | ) | const`[virtual]`

| Implements AlienImage_AlienUserImage.

Standard_EXPORT Standard_Boolean AlienImage_BMPAlienImage::Write | ( | OSD_File & | afile | ) | const`[virtual]`

| Implements AlienImage_AlienUserImage.

## Field Documentation

Handle_AlienImage_BMPAlienData AlienImage_BMPAlienImage::myData `[private]`

The documentation for this class was generated from the following file:

- AlienImage_BMPAlienImage.hxx